// ========================================================================
// Copyright 2008 Sonatype Inc.
// ------------------------------------------------------------------------
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// http://www.apache.org/licenses/LICENSE-2.0
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// ========================================================================
package org.mortbay.batch.client.jetty;

import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

import org.mortbay.batch.client.BatchException;
import org.mortbay.batch.client.DeployResponse;

public class JettyDeployResponse implements DeployResponse
{
    private Set<BatchException> _exceptions = Collections.synchronizedSet(new HashSet<BatchException>());
    
    public JettyDeployResponse ()
    {
    }
    
    public void add(BatchException e)
    {
        _exceptions.add(e);
    }
    
    public Set<BatchException> getExceptions()
    {
        return _exceptions;
    }
    
    public String toString ()
    {
        return _exceptions.toString();
    }

}
